// ImageSet.cpp : implementation file
//

#include "stdafx.h"
#include "SRAF.h"
#include "ImageSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CImageSet

IMPLEMENT_DYNAMIC(CImageSet, CDaoRecordset)

CImageSet::CImageSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CImageSet)
	m_nro_imagen = 0;
	m_nombre = _T("");
	m_icono = _T("");
	m_nro_grupo = 0;
	m_nFields = 4;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CImageSet::GetDefaultDBName()
{
	//return _T("D:\\Archivos de programa\\DevStudio\\MyProjects\\SRAF\\imagenes.mdb");
	//return _T("imagenes.mdb");
	return ((CSRAFApp*)AfxGetApp())->m_pszDBPath;
}

CString CImageSet::GetDefaultSQL()
{
	return _T("[Imagen]");
}

void CImageSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CImageSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[nro_imagen]"), m_nro_imagen);
	DFX_Text(pFX, _T("[nombre]"), m_nombre);
	DFX_Text(pFX, _T("[icono]"), m_icono);
	DFX_Long(pFX, _T("[nro_grupo]"), m_nro_grupo);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CImageSet diagnostics

#ifdef _DEBUG
void CImageSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CImageSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
/////////////////////////////////////////////////////////////////////////////
// CGroupSet

IMPLEMENT_DYNAMIC(CGroupSet, CDaoRecordset)

CGroupSet::CGroupSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CGroupSet)
	m_nro_grupo = 0;
	m_nombre = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CGroupSet::GetDefaultDBName()
{
	//return _T("D:\\Archivos de programa\\DevStudio\\MyProjects\\SRAF\\imagenes.mdb");
	//return _T("imagenes.mdb");
	return ((CSRAFApp*)AfxGetApp())->m_pszDBPath;
}

CString CGroupSet::GetDefaultSQL()
{
	return _T("[Grupo]");
}

void CGroupSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CGroupSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[nro_grupo]"), m_nro_grupo);
	DFX_Text(pFX, _T("[nombre]"), m_nombre);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CGroupSet diagnostics

#ifdef _DEBUG
void CGroupSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CGroupSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
